com.jogamp.gluegen.cgram.types

## Class DoubleType

- java.lang.Object
- - com.jogamp.gluegen.cgram.types.Type
  - - com.jogamp.gluegen.cgram.types.PrimitiveType
    - - com.jogamp.gluegen.cgram.types.DoubleType

- All Implemented Interfaces:
    Cloneable

      public class DoubleType
      extends PrimitiveType
      implements Cloneable

  Represents a double-word floating-point type (C type "double".)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleType(String name, SizeThunk size, int cvAttributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DoubleType` | `asDouble()` Casts this to a DoubleType or returns null if not a DoubleType.
    `boolean` | `equals(Object arg)` Equality test for Types.

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.PrimitiveType

      `isPrimitive`

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.Type

      `arrayDimension, asArray, asBit, asCompound, asEnum, asFloat, asFunction, asInt, asPointer, asVoid, clone, getBaseElementType, getCVAttributes, getCVAttributesString, getCVVariant, getDebugString, getName, getName, getSize, getSize, hashCode, hasTypedefName, isArray, isBit, isCompound, isConst, isDouble, isEnum, isFloat, isFunction, isFunctionPointer, isInt, isPointer, isVoid, isVolatile, pointerDepth, setName, toString, visit`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleType

          public DoubleType(String name,
                    SizeThunk size,
                    int cvAttributes)

  - ### Method Detail

    - #### equals

          public boolean equals(Object arg)

      Description copied from class: `Type`
      Equality test for Types.
      Overrides:
        `equals` in class `Type`

    - #### asDouble

          public DoubleType asDouble()

      Description copied from class: `Type`
      Casts this to a DoubleType or returns null if not a DoubleType.
      Overrides:
        `asDouble` in class `Type`